import { MCRender } from './mc-render.ts';
import { ParseRuleProps } from '../../../../../types/material.type.ts';
export declare class McWebRender extends MCRender {
    message(opts: {
        type: 'error' | 'warning';
        content: string;
    }): void;
    _openBomModal(opts: {
        bomList: any[];
        onSubstitute: Function;
    }): Promise<void>;
    openScanModal(opts: {
        title: string;
        onScan: (str: string) => void;
    }): Promise<void>;
    openChangeRuleModal(opts: {
        __mainModelKey: string;
        config: ParseRuleProps;
        subModelKey?: string;
    }): Promise<ParseRuleProps | undefined>;
}
